petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetConvergenceHistory

Gets the arrays used to hold the convergence history.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetConvergenceHistory(Tao tao, PetscReal **obj, PetscReal **resid, PetscReal **cnorm, PetscInt **lits, PetscInt *nhist)

Collective on Tao Many br

### Input Parameter

tao -the Tao context Many br

### Output Parameters

| obj | - array used to hold objective value history Many br
| resid | - array used to hold residual history Many br
| cnorm | - array used to hold constraint violation history Many br
| lits | - integer array used to hold linear solver iteration count Many br
| nhist | - size of obj, resid, cnorm, and lits (will be less than or equal to na given in TaoSetHistory) Many br

### Notes

This routine must be preceded by calls to TaoSetConvergenceHistory() Many brand TaoSolve(), otherwise it returns useless information. Many br

The calling sequence for this routine in Fortran is Many br

      call TaoGetConvergenceHistory(Tao tao, PetscInt nhist, PetscErrorCode ierr)

This routine is useful, e.g., when running a code for purposes Many brof accurate performance monitoring, when no I/O should be done Many brduring the section of code that is being timed. Many br

Many br

### See Also

TaoSetConvergenceHistory()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/leastsquares/examples/tutorials/chwirut1.c.html
src/tao/leastsquares/examples/tutorials/chwirut1f.F.html